Page MenuHomePhabricator

Visual Editor changes dialog hangs when clicking on preview on pages without categories
Closed, ResolvedPublic1 Story Points

Description

On hu.wiktionary the summary window hangs when clicking on preview. The traceback from the console seems to explain it pretty well:

This page is using the deprecated ResourceLoader module "jquery.ui.widget".
load.php:31:942
This page is using the deprecated ResourceLoader module "jquery.ui.core".
Please use OOUI instead.
load.php:1:80
TypeError: $.Deferred.resolve is not a function[Learn More]
load.php:668:454
ve.ui.MWSaveDialog.prototype.showPreview
https://hu.wiktionary.org/w/load.php:668:454
ve.init.mw.ArticleTarget.prototype.onSaveDialogPreview/<
https://hu.wiktionary.org/w/load.php:630:164
fire
https://hu.wiktionary.org/w/load.php:46:599
fireWith
https://hu.wiktionary.org/w/load.php:47:824
Deferred/</deferred[tuple[0]]
https://hu.wiktionary.org/w/load.php:51:312
ajax/xhr<
https://hu.wiktionary.org/w/load.php:501:398
fire
https://hu.wiktionary.org/w/load.php:46:599
fireWith
https://hu.wiktionary.org/w/load.php:47:824
done
https://hu.wiktionary.org/w/load.php:126:165
callback/<

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : wmf/1.32.0-wmf.4MWSaveDialog: Fix typo in no-categories branch
mediawiki/extensions/VisualEditor : wmf/1.32.0-wmf.5MWSaveDialog: Fix typo in no-categories branch
mediawiki/extensions/VisualEditor : masterMWSaveDialog: Fix typo in no-categories branch

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2018, 7:19 PM

According to the code (https://phabricator.wikimedia.org/diffusion/EVED/browse/master/modules/ve-mw/ui/dialogs/ve.ui.MWSaveDialog.js;5330e42dc7ae09abf505a2494e22c6e1768331ad$277) this only happens on pages without categories, but when it happens it is really annoying.

Change 434657 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] MWSaveDialog: Fix typo in no-categories branch

https://gerrit.wikimedia.org/r/434657

Esanders triaged this task as High priority.
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders set the point value for this task to 1.
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.
Jdforrester-WMF renamed this task from Visual Editor changes dialog hangs when clicking on previw to Visual Editor changes dialog hangs when clicking on previw on pages without categories.May 23 2018, 4:45 PM

Change 434657 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWSaveDialog: Fix typo in no-categories branch

https://gerrit.wikimedia.org/r/434657

Change 434745 had a related patch set uploaded (by Jforrester; owner: Esanders):
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.5] MWSaveDialog: Fix typo in no-categories branch

https://gerrit.wikimedia.org/r/434745

Change 434746 had a related patch set uploaded (by Jforrester; owner: Esanders):
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.4] MWSaveDialog: Fix typo in no-categories branch

https://gerrit.wikimedia.org/r/434746

Esanders renamed this task from Visual Editor changes dialog hangs when clicking on previw on pages without categories to Visual Editor changes dialog hangs when clicking on preview on pages without categories.May 23 2018, 7:16 PM

Change 434745 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.5] MWSaveDialog: Fix typo in no-categories branch

https://gerrit.wikimedia.org/r/434745

Mentioned in SAL (#wikimedia-operations) [2018-05-23T23:45:01Z] <ebernhardson@tin> Synchronized php-1.32.0-wmf.5/extensions/VisualEditor/modules/ve-mw/ui/dialogs/ve.ui.MWSaveDialog.js: SWAT: T195323: MWSaveDialog: Fix typo in no-categories branch (duration: 01m 08s)

Change 434746 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.32.0-wmf.4] MWSaveDialog: Fix typo in no-categories branch

https://gerrit.wikimedia.org/r/434746

Mentioned in SAL (#wikimedia-operations) [2018-05-24T00:00:37Z] <ebernhardson@tin> Synchronized php-1.32.0-wmf.4/extensions/VisualEditor/modules/ve-mw/ui/dialogs/ve.ui.MWSaveDialog.js: SWAT: T195323: MWSaveDialog: Fix typo in no-categories branch (duration: 01m 07s)

Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Now hot-deployed to production's wmf.4 and wmf.5 branches.

Vvjjkkii renamed this task from Visual Editor changes dialog hangs when clicking on preview on pages without categories to ohcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Esanders as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Esanders; removed: gerritbot, Aklapper.
CommunityTechBot renamed this task from ohcaaaaaaa to Visual Editor changes dialog hangs when clicking on preview on pages without categories.Jul 2 2018, 1:37 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Esanders.
CommunityTechBot set the point value for this task to 1.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot edited subscribers, added: gerritbot, Aklapper; removed: Esanders.